package com.palmnest.service.estateserve;

import com.palmnest.model.RoomInfo;
import com.palmnest.service.GenericManager;

import java.util.List;

/**
 * 房间服务接口
 *
 * @author longmeizhen
 */
public interface RoomInfoManager extends GenericManager<RoomInfo, Integer> {
	/**
	 * 根据楼层ID获取房间信息列表
	 *
	 * @param floorId 楼层id
	 * @return
	 * @throws Exception
	 */
	public List<RoomInfo> getRoomInfoByfloorId(int floorId) throws Exception;

	/**
	 * @return
	 * @throws Exception
	 */
	public List<RoomInfo> getRoomInfo() throws Exception;

	/**
	 * 保存或者更新房间
	 *
	 * @param roomInfo
	 */
	public String saveOrUpdateRoomInfo(RoomInfo roomInfo);

	/**
	 * 根据楼层ID获取房间信息列表
	 *
	 * @param floorId 楼层id
	 * @return
	 * @throws Exception
	 */
	public List<RoomInfo> getRoomListByRoomIds(int floorId, String roomIds) throws Exception;

	public List<RoomInfo> getRoomListByName(String name) throws Exception;

	public List<RoomInfo> getRoomListByFloorIds(String floorIds) throws Exception;

	public List<RoomInfo> getRoomListByRooms(String rooms) throws Exception;

	public List<RoomInfo> getRoomListByRooms(String floorIds, String rooms) throws Exception;
	
	public List<RoomInfo> getRoomListByRoomNos(String roomNos) throws Exception;

	java.math.BigDecimal getSumArueByFloorId(int floorId) throws Exception;

}
